org.jbpm.services.task.audit.impl.model

## Class AuditTaskImpl_

- java.lang.Object
- - org.jbpm.services.task.audit.impl.model.AuditTaskImpl_

-     @Generated(value="org.hibernate.jpamodelgen.JPAMetaModelEntityProcessor")
      public abstract class AuditTaskImpl_
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,Date>` | `activationTime`
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,String>` | `actualOwner`
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,String>` | `createdBy`
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,Date>` | `createdOn`
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,String>` | `deploymentId`
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,String>` | `description`
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,Date>` | `dueDate`
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,Long>` | `id`
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,Date>` | `lastModificationDate`
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,String>` | `name`
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,Long>` | `parentId`
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,Integer>` | `priority`
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,String>` | `processId`
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,Long>` | `processInstanceId`
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,Long>` | `processSessionId`
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,String>` | `status`
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,Long>` | `taskId`
    `static javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,Long>` | `workItemId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuditTaskImpl_()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### processInstanceId

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,Long> processInstanceId

    - #### dueDate

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,Date> dueDate

    - #### description

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,String> description

    - #### workItemId

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,Long> workItemId

    - #### priority

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,Integer> priority

    - #### createdOn

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,Date> createdOn

    - #### parentId

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,Long> parentId

    - #### lastModificationDate

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,Date> lastModificationDate

    - #### createdBy

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,String> createdBy

    - #### processId

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,String> processId

    - #### actualOwner

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,String> actualOwner

    - #### deploymentId

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,String> deploymentId

    - #### name

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,String> name

    - #### id

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,Long> id

    - #### processSessionId

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,Long> processSessionId

    - #### activationTime

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,Date> activationTime

    - #### taskId

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,Long> taskId

    - #### status

          public static volatile javax.persistence.metamodel.SingularAttribute<AuditTaskImpl,String> status

  - ### Constructor Detail

    - #### AuditTaskImpl_

          public AuditTaskImpl_()

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.